<?php
$data = $_GET['data'];
$expires = unserialize(file_get_contents("expires.txt"));
if(isset($expires[$data]) AND $expires[$data] >= time()) {
header('Content-Type: image/png');
echo file_get_contents($data);
die();
}
if(!isset($expires[$data]) OR !file_exists($data)) {
header('HTTP/1.1 404 Not Found');
echo '<!DOCTYPE html><html><head><title>Opolytics - Ihr nutzerfreundlicher Tracking-Dienst</title><link rel="Shortcut Icon" href="opolytics.png"><link rel="Stylesheet" href="../style.php?site=view" type="text/css"></head><body><meta name="viewport" content="initial-scale=1"><style>body{margin-left:0px;}</style>';
// Include the menubar
include("../menu.php");
echo '<h1>Datei nicht gefunden</h1><p>Datei nicht gefunden.</p>';
}
else if($expires[$data] < time()) {
unlink($data);
unset($expires[$data]); file_put_contents("expires.txt", serialize($expires));
header('HTTP/1.1 404 Not Found');
header('Content-Type: text/html');
echo '<!DOCTYPE html><html><head><title>Opolytics - Ihr nutzerfreundlicher Tracking-Dienst</title><link rel="Shortcut Icon" href="opolytics.png"><link rel="Stylesheet" href="../style.php?site=view" type="text/css"></head><body><meta name="viewport" content="initial-scale=1"><style>body{margin-left:0px;}</style>';
// Include the menubar
include("../menu.php");
echo '<h1>Darstellung abgelehnt</h1><p>Die von Ihnen angeforderte Datei ist bereits abgelaufen und gelöscht worden.</p>';
}
?>